diff --git mscore/mscore/palette.cpp mscore/mscore/palette.cpp
index cc7f233..2a6300b 100644
--- mscore/mscore/palette.cpp
+++ mscore/mscore/palette.cpp
@@ -1156,6 +1156,7 @@ void PaletteBoxButton::showPalette(bool visible)
             emit closeAll();
             }
       scrollArea->setVisible(visible);
+      this->setChecked(visible);
 //      palette->updateGeometry();
       setArrowType(visible ? Qt::DownArrow : Qt::RightArrow );
       }
@@ -1409,8 +1410,8 @@ void PaletteBox::closeEvent(QCloseEvent* ev)
 void PaletteBox::closeAll()
       {
       for (int i = 0; i < (vbox->count() - 1); i += 2) {
-            PaletteScrollArea* sa = static_cast<PaletteScrollArea*>(vbox->itemAt(i + 1)->widget());
-            sa->setVisible(false);
+            PaletteBoxButton* b = static_cast<PaletteBoxButton*> (vbox->itemAt(i)->widget() );
+            b->showPalette(false);
             }
       }
 
diff --git mscore/mscore/palette.h mscore/mscore/palette.h
index 67df350..d473767 100644
--- mscore/mscore/palette.h
+++ mscore/mscore/palette.h
@@ -87,6 +87,8 @@ enum PaletteCommand {
 
 class PaletteBoxButton : public QToolButton {
       Q_OBJECT
+      
+      friend class PaletteBox;
 
       Palette* palette;
       PaletteScrollArea* scrollArea;
